## ros-rolling-rosbag2-compression-zstd 0.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbag2_compression_zstd)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# Windows supplies macros for min and max by default. We should only use min and max from stl
if(WIN32)
  add_definitions(-DNOMINMAX)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rcpputils REQUIRED)
find_package(rosbag2_compression REQUIRED)
find_package(zstd_vendor REQUIRED)
find_package(zstd REQUIRED)

add_library(${PROJECT_NAME} SHARED
  src/rosbag2_compression_zstd/compression_utils.cpp
  src/rosbag2_compression_zstd/zstd_compressor.cpp
  src/rosbag2_compression_zstd/zstd_decompressor.cpp)
target_include_directories(${PROJECT_NAME}
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(${PROJECT_NAME}
  rcpputils
  rosbag2_compression
  zstd)
target_compile_definitions(${PROJECT_NAME} PRIVATE ROSBAG2_COMPRESSION_ZSTD_BUILDING_DLL)
pluginlib_export_plugin_description_file(rosbag2_compression plugin_description.xml)

install(
  DIRECTORY include/
  DESTINATION include)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_targets(export_${PROJECT_NAME})
# order matters here, first vendor, then zstd
ament_export_dependencies(rcpputils rosbag2_compression zstd_vendor zstd)


if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  find_package(rclcpp REQUIRED)
  find_package(rosbag2_test_common REQUIRED)
  ament_lint_auto_find_test_dependencies()

  ament_add_gmock(test_zstd_compressor
    test/rosbag2_compression_zstd/test_zstd_compressor.cpp)
  target_include_directories(test_zstd_compressor PUBLIC include)
  target_link_libraries(test_zstd_compressor ${PROJECT_NAME})
  ament_target_dependencies(test_zstd_compressor rclcpp rosbag2_test_common)
endif()

ament_package()

=== debian/changelog ===
ros-rolling-rosbag2-compression-zstd (0.13.0-1focal) focal; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.12.0-1focal) focal; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.11.0-1focal) focal; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Contributors: Michel Hidalgo

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 08 Nov 2021 08:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.10.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Fri, 22 Oct 2021 07:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.10.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 19 Oct 2021 07:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.9.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 17 May 2021 07:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.8.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.7.0-1focal) focal; urgency=high

  * Add test_depend ament_cmake_gmock (#639 <https://github.com/ros2/rosbag2/issues/639>)
  * Move zstd compressor to its own package (#636 <https://github.com/ros2/rosbag2/issues/636>)
  * Contributors: Emerson Knapp, Shane Loretz

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-rosbag2-compression-zstd
Section: misc
Priority: optional
Maintainer: Geoffrey Biggs <geoff@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rosbag2-compression, ros-rolling-rosbag2-test-common, ros-rolling-zstd-vendor, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosbag2-compression-zstd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-pluginlib, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rosbag2-compression, ros-rolling-zstd-vendor, ros-rolling-ros-workspace
Description: Zstandard compression library implementation of rosbag2_compression

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rosbag2-compression-zstd//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rosbag2-compression-zstd 0.24.0

=== debian/changelog ===
ros-rolling-rosbag2-compression-zstd (0.24.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.23.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.22.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.21.0-1jammy) jammy; urgency=high

  * Update rosbag2 to C++17. (#1238 <https://github.com/ros2/rosbag2/issues/1238>)
  * Use target_link_libraries instead of ament_target_dependencies (#1202 <https://github.com/ros2/rosbag2/issues/1202>)
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.20.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.19.0-1jammy) jammy; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>)
  * Contributors: Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 13 Jan 2023 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.18.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 15 Nov 2022 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.17.0-1jammy) jammy; urgency=high

  * Speed optimization: Preparing copyless publish/subscribing by using const message for writing (#1010 <https://github.com/ros2/rosbag2/issues/1010>)
  * Contributors: DensoADAS, Joshua Hampp

 -- Michael Orlov <michael.orlov@apex.ai>  Sat, 30 Jul 2022 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.16.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 11 May 2022 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.15.1-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 06 Apr 2022 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.15.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.14.1-1jammy) jammy; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 29 Mar 2022 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.14.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Contributors: Shane Loretz

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 29 Mar 2022 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.13.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.12.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.11.0-1jammy) jammy; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Contributors: Michel Hidalgo

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 08 Nov 2021 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.10.1-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 22 Oct 2021 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.10.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 19 Oct 2021 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.9.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 May 2021 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.8.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 19 Apr 2021 00:00:00 -0000

ros-rolling-rosbag2-compression-zstd (0.7.0-1jammy) jammy; urgency=high

  * Add test_depend ament_cmake_gmock (#639 <https://github.com/ros2/rosbag2/issues/639>)
  * Move zstd compressor to its own package (#636 <https://github.com/ros2/rosbag2/issues/636>)
  * Contributors: Emerson Knapp, Shane Loretz

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 18 Mar 2021 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-rosbag2-compression-zstd
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-pluginlib, ros-rolling-rclcpp <!nocheck>, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rosbag2-compression, ros-rolling-rosbag2-test-common <!nocheck>, ros-rolling-zstd-vendor, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosbag2-compression-zstd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-pluginlib, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rosbag2-compression, ros-rolling-zstd-vendor, ros-rolling-ros-workspace
Description: Zstandard compression library implementation of rosbag2_compression

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
